summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorpommicket <pommicket@gmail.com>2021-11-10 12:58:28 -0500
committerpommicket <pommicket@gmail.com>2021-11-10 12:58:28 -0500
commit8f527338ae76282a5ec56833984775e6889023e1 (patch)
tree0dab671c658266a46d196215d8c5e254b9cc256a
parent2288e47516189fc10874b565d1d7d64bbbba4a47 (diff)
update bootstrap.sh
-rwxr-xr-xbootstrap.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 7025b8c..cd63ddd 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -45,7 +45,17 @@ if [ "$(./out01)" != 'Hello, world!' ]; then
echo_red 'Stage 01 failed.'
exit 1
fi
-rm -f out0[01]
+rm -f out01
+cd ..
+
+echo 'Processing stage 02...'
+cd 02
+rm -rf out0[12]
+make -s out02
+if [ "$(./out02)" != 'Hello, world!' ]; then
+ echo_red 'Stage 02 failed.'
+ exit 1
+fi
cd ..